# Class ConnectionValidator

java.lang.Object
org.mariadb.jdbc.internal.failover.thread.ConnectionValidator

public class ConnectionValidator extends Object

## Constructor Summary

Constructors
Constructor
Description
`ConnectionValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(Listener listener, long listenerCheckMillis)`
Add listener to validation list.
`void`
`removeListener(Listener listener)`
Remove listener to validation list.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectionValidator

public ConnectionValidator()

## Method Details

### addListener

public void addListener(Listener listener, long listenerCheckMillis)
Add listener to validation list.

Parameters:
  `listener` - listener
  `listenerCheckMillis` - schedule time

### removeListener

public void removeListener(Listener listener)
Remove listener to validation list.

Parameters:
  `listener` - listener